slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPAllocateSolution

Allocate memory storage for common variables such as eigenvalues and eigenvectors.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPAllocateSolution(PEP pep,PetscInt extra)

Collective

### Input Parameters

| pep | - eigensolver context
| extra | - number of additional positions, used for methods that require a working basis slightly larger than ncv

### Developer Notes

This is SLEPC_EXTERN because it may be required by user plugin PEP implementations.

### See Also

PEPSetUp()

### Level

developer

### Location

src/pep/interface/pepsetup.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages